List the latest versions of configurations.

get https://app.mk.io/api/v1/projects/:project_name/templating/presets

Listing, Sorting and Filtering Configurations

This endpoint returns the list of configurations in the specified project.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: created, hash, id, labels, name, type, updated, updatedBy

Filtering

There are two ways to filter the set of returned configurations from this endpoint - the first is to use the $filter query parameter, the second is to use the $label_key and $label query parameters.

The $filter query parameter allows for configurations to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, hash, id, labels, name, type, updated, updatedBy, updatedByEmail, updatedByName

$label_key and $label are specific to querying configurations based on their labels. Labels are a set of key-value pairs that can be used to identify configurations with any arbitrary metadata you want, specifically for the purpose of retrieving relevant subsets of configurations.

Examples:

?$top=10 - Returns only the first 10 configurations from the list.

?$orderby=name desc - Sorts configurations by name in descending order.

?$filter=name eq 'descriptive name' - Returns configurations that match the provided name.

?$orderby=created desc - Sorts configurations by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns configurations created after January 1, 2021.

?$label=studio=paravalley - Returns configurations with the label studio set to paravalley.

?$label=release-date~2023 - Returns configurations with the label release-date set to a value that contains 2023.

?$label_key=studio&label_key=release-date - Returns configurations with any value set for the studio label and the release-date label.

RBAC Capability Required: templating.configs.get

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required

Query parameters

$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.
$label_key string Optional
Filters the set to the specified label key. If multiple $label_keys are specified, matching items must have all labels.
$label string Optional
Filters the set to the specified label key/value pair. Supports equality, inequality, and inexact matching. If multiple values are provided for the same key, items matching either value will be returned.

Response

200 A list of configurations
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
supplementalobjectListResponseSupplementalSchemaRequired
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
paginationobjectPaginationInfoSchemaRequired
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
subscriptionobjectProjectInfoSchemaOptional
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
valuelist of objectsConfigGetSchemaRequired
A list of objects
Show 4 propertiesHide 4 properties
kindstringOptional
The kind of record.
metadataobjectConfigGetMetadataRequired
Metadata.
Show 13 propertiesHide 13 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
descriptionstringOptional0-200 charactersDefaults to
Optional description of revision of the configuration.
hashstringOptional
Hash of this configuration.
idstringRequiredformat: uuid
The ID of the resource
labelsmap from strings to stringOptional
A dictionary of labels associated with the resource
Show value schemaHide value schema
[any key]string
namestringOptional
The name of the resource
tagslist of stringsOptional
Tags for this revision of the config.
typestringRequired
Type of configuration.
updatedstringOptionalformat: date-time
The time when the resource was last updated
updatedBystringOptionalformat: uuid
ID of the user who last updated the resource
updatedByEmailstringOptional
Email of the user who last updated the resource
specobjectConfigGetSpecOptional
Specification.
Show 2 propertiesHide 2 properties
configmap from strings to anyOptional
The contents of the config.
Show value schemaHide value schema
[any key]any
parameterslist of objectsConfigParameterSchemaOptional
Parameters exposed by this configuration.
Show 3 propertiesHide 3 properties
descriptionstring or nullOptional
Optional description of the parameter.
namestringRequired
The name of the parameter.
pathslist of stringsRequired1+ items
List of paths in the config where this parameter applies. Each path must be unique.
statusobjectConfigGetStatusOptional
Computed status including available input/output pin names.
Show 2 propertiesHide 2 properties
inputPinslist of objectsConfigPinSchemaOptional
Available input pin names for this template.
Show 2 propertiesHide 2 properties
allowMultipleBindingsbooleanOptional
Whether multiple flow inputs/outputs can reference this pin.
namestringRequired
The pin name to use for transformInput or transformOutput.
outputPinslist of objectsConfigPinSchemaOptional
Available output pin names for this template.
Show 2 propertiesHide 2 properties
allowMultipleBindingsbooleanOptional
Whether multiple flow inputs/outputs can reference this pin.
namestringRequired
The pin name to use for transformInput or transformOutput.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code